Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
source = client.sources.retrieve(
"source_id",
)
print(source.id)curl --request GET \
--url https://developer.qaip.com/api/v1/sources/{source_id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://developer.qaip.com/api/v1/sources/{source_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"source_group_id": "<string>",
"name": "<string>",
"file_type": "html",
"file_size": 123,
"metadata": {
"records": [
{
"key": "<string>",
"val": "<string>",
"type": "string"
}
]
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}References
Get source details
Gets detailed information about a specific source. This endpoint currently supports local_file source IDs. Crawl source IDs returned by /search or GET /contents/ are separate IDs and are not accepted here; use GET /sources//raw to download the stored crawl file content.
Required scope: knowledge:read
GET
/
sources
/
{source_id}
Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
source = client.sources.retrieve(
"source_id",
)
print(source.id)Authorizations
API key for authentication
Path Parameters
Source ID
Response
Successful retrieval of source
Source ID (file ID)
Parent source group ID
Name of the source (file name)
The type of the source file
Available options:
html, pdf, ppt, pptx, pptm, doc, docx, docm, xls, xlsx, xlsm, md, txt, jsonl, png, jpg, webp, heic, heif, wav, mp3, aiff, aac, m4a, ogg, flac, mp4, mpg, mov, avi, flv, webm, wmv, 3gp, notion_page File size in bytes
Show child attributes
Show child attributes

